package net.codecode.atimelessclassic;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.GridView;
import android.widget.SimpleAdapter;
import android.widget.Toast;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

public class MainActivity extends AppCompatActivity {
    private String[] name = {"阿甘正传", "沉默的羔羊", "虎口脱险", "罗马假日", "午夜凶铃", "千与千寻", "人鬼情未了", "卧虎藏龙", "音乐之声"};
    private int[] image = {R.mipmap.p1_agan, R.mipmap.p2_gaoyang, R.mipmap.p3_hukou, R.mipmap.p4_luoma, R.mipmap.p5_wuye, R.mipmap.p6_qianxun, R.mipmap.p7_rengui, R.mipmap.p8_wohu, R.mipmap.p9_yingyue};
    List imagelist;
    private GridView myGridView;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        myGridView = (GridView)findViewById(R.id.gridView1);
        imagelist = new ArrayList();
        for (int i = 0; i < 9; i++) {
            HashMap hm = new HashMap();
            hm.put("name", name[i]);
            hm.put("image", image[i]);
            imagelist.add(hm);
        }
        SimpleAdapter myAdapter = new SimpleAdapter(this, imagelist, R.layout.itemview, new String[]{"image", "name"}, new int[]{R.id.imageView1, R.id.textView1});
        myGridView.setAdapter(myAdapter);
        myGridView.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            @Override
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long l) {
                Toast.makeText(MainActivity.this, "你选择了:" + name[i], Toast.LENGTH_LONG).show();
            }
        });

    }
}